<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20260324131819 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add billing fields to user and organizer_invitation tables';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE organizer_invitation ADD billing_amount INT DEFAULT NULL');
        $this->addSql('ALTER TABLE "user" ADD is_billing BOOLEAN DEFAULT NULL');
        $this->addSql('ALTER TABLE "user" ADD billing_amount INT DEFAULT NULL');
        $this->addSql('ALTER TABLE "user" ADD billing_state VARCHAR(20) DEFAULT NULL');
        $this->addSql('ALTER TABLE "user" ADD billing_stripe_subscription_id VARCHAR(255) DEFAULT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE organizer_invitation DROP billing_amount');
        $this->addSql('ALTER TABLE "user" DROP is_billing');
        $this->addSql('ALTER TABLE "user" DROP billing_amount');
        $this->addSql('ALTER TABLE "user" DROP billing_state');
        $this->addSql('ALTER TABLE "user" DROP billing_stripe_subscription_id');
    }
}
